FORUMS

Analysis & Opinion

Top Forum Discussions

[MOD][XPOSED] DirectAPKInstall

41 posts
Thanks Meter: 122
 
Post Reply Subscribe to Thread Email Thread
9th February 2015, 11:55 AM |#11  
OP Member
Thanks Meter: 122
 
Donate to Me
More
As far as I know, since the latest update of the Amazon app, you cannot install/update applications via the main application.

Matsca09
 
 
9th February 2015, 04:17 PM |#12  
Force's Avatar
Senior Member
Flag Bucharest
Thanks Meter: 609
 
More
Nice work.


Quote:
Originally Posted by chw9999

For Xposed installations I have set up a tasker profile allowing me to install modules and updates right away, and switching off when I leave the xposed installer. But if I install them from my browser,I get the"nag screen"

Thanks, this is exactly what I need


Can you share that tasker profile ? Also, can u give me your tasker profiles description ( what it does) in a PM ? Im out of ideas Thank you !
10th February 2015, 08:02 PM |#13  
Senior Member
Flag Bensheim
Thanks Meter: 78
 
More
Quote:
Originally Posted by Force

Nice work.
Can you share that tasker profile ? Also, can u give me your tasker profiles description ( what it does) in a PM ? Im out of ideas Thank you !

Hi, I'd rather write in public

Basically, you need Secure Settings to allow Tasker to switch permit installation of "Unknown sources".
https://play.google.com/store/apps/d...ettings.plugin

Simply, in Tasker...
1. create a profile for Xposed Installer (app start event) or any other app you want to allow to install "Unknown sources"
2. create and add Enter Task -> add step Plugin "Secure Settings" set to allow "Unknown sources"
3. create and add Exit Task -> add step Plugin "Secure Settings" set to deny "Unknown sources"
Done

You can make it more comfortable if you add a wait timer before switching OFF "allow Unknown sources", and a "Kill deny Unknown sources"-Task in the "allow Unknown sources"-Task. This way you may switch shortly to another app without losing "allow Unknown sources". But it is NOT necessary to do so.

Hope it helps!

Cheers,
Christoph
The Following 2 Users Say Thank You to chw9999 For This Useful Post: [ View ]
10th February 2015, 09:15 PM |#14  
Member
Thanks Meter: 0
 
Donate to Me
More
Quote:
Originally Posted by Matsca09

As far as I know, since the latest update of the Amazon app, you cannot install/update applications via the main application.

Matsca09

Wonder why... hope they don't plan on phasing out the Amazon App Store app but it seems like they are making efforts to do it

Great work either way!
Last edited by jdmst77; 10th February 2015 at 09:19 PM.
10th February 2015, 09:41 PM |#15  
OP Member
Thanks Meter: 122
 
Donate to Me
More
Mainly because Google changed its Terms of Service for Play store apps (basically no alternative stores inside the Play Store), so they had to split the application into two parts: Amazon Shopping (which you can find on the Play Store), and the Amazon App Store (which you have to download from their website).
All the story: http://9to5google.com/2014/12/11/goo...zon-app-store/

Matsca09

EDIT: the module should be Lollipop-compatible. If there are problems, let me know, thanks.
Last edited by Matsca09; 16th February 2015 at 12:08 AM.
17th February 2015, 01:51 PM |#16  
Junior Member
Thanks Meter: 0
 
More
Version 1.0.1 doesn't work on Galaxy Nexus (Android 4.3). I have to enable unknown sources manually. Version 1.0 works.
26th February 2015, 07:32 PM |#17  
OP Member
Thanks Meter: 122
 
Donate to Me
More
Quote:
Originally Posted by degg

Version 1.0.1 doesn't work on Galaxy Nexus (Android 4.3). I have to enable unknown sources manually. Version 1.0 works.

Thanks for the report.
The new version (1.0.2) should solve your problem (tested on stock 4.3 on Galaxy S3).


Matsca09
14th June 2015, 04:55 PM |#18  
sansnil's Avatar
Senior Member
Thanks Meter: 40
 
More
Quote:
Originally Posted by Matsca09

EDIT: the module should be Lollipop-compatible. If there are problems, let me know, thanks.

Hey @Matsca09 I love this module. It was working great on my Nexus 6 with Android 5.0.1 but looks like 5.1.1 broke it. Can I do anything to help update it so that it works?
22nd July 2015, 02:36 PM |#19  
OP Member
Thanks Meter: 122
 
Donate to Me
More
Thumbs up
Quote:
Originally Posted by sansnil

Hey @Matsca09 I love this module. It was working great on my Nexus 6 with Android 5.0.1 but looks like 5.1.1 broke it. Can I do anything to help update it so that it works?

Hi sansnil, thanks for the report and sorry for the slow reply.

I've updated the module; now it should work on Android 5.1.1 (tested on 5.1.1 on SGS3)

Please try the new version (1.0.3) and let me know if it works for you


Matsca09
The Following User Says Thank You to Matsca09 For This Useful Post: [ View ]
22nd July 2015, 04:38 PM |#20  
sansnil's Avatar
Senior Member
Thanks Meter: 40
 
More
Quote:
Originally Posted by Matsca09

I've updated the module; now it should work on Android 5.1.1 (tested on 5.1.1 on SGS3)

Please try the new version (1.0.3) and let me know if it works for you

Hi Matsca09, I just tested 1.0.3 and it does indeed work great again in 5.1.1 -- THANKS!!
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes